# console url

Server remote console URL

Compute v2

## console url show

Show server’s remote console URL

    openstack console url show
        [--novnc
        |
        --xvpvnc
        |
        --spice
        |
        --spice-direct
        |
        --rdp
        |
        --serial
        |
        --mks
        ]
        <server>

--novnc

  Show noVNC console URL (default)

--xvpvnc

  Show xvpvnc console URL

--spice

  Show SPICE console URL

--spice-direct

  Show SPICE direct protocol native console URL

--rdp

  Show RDP console URL

--serial

  Show serial console URL

--mks

  Show WebMKS console URL

server

  Server to show URL (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.